#define aux_rep         0x0002
#define aux_repne       0x0004

#define o_trreg         o_idpspec0
#define o_dbreg         o_idpspec1
#define o_crreg         o_idpspec2
#define o_fpreg         o_idpspec3
#define o_mmxreg        o_idpspec4
#define o_xmmreg        o_idpspec5

enum x86_regs
{ R_ax = 0,
  R_cx = 1,
  R_dx = 2,
  R_bx = 3,
  R_sp = 4,
  R_bp = 5,
  R_si = 6,
  R_di = 7,
  R_r8 = 8,
  R_r9 = 9,
  R_r10 = 10,
  R_r11 = 11,
  R_r12 = 12,
  R_r13 = 13,
  R_r14 = 14,
  R_r15 = 15,

  R_al = 16,
  R_cl = 17,
  R_dl = 18,
  R_bl = 19,
  R_ah = 20,
  R_ch = 21,
  R_dh = 22,
  R_bh = 23,

  R_spl = 24,
  R_bpl = 25,
  R_sil = 26,
  R_dil = 27,

  R_ip = 28,

  R_es = 29,
  R_cs = 30,
  R_ss = 31,
  R_ds = 32,
  R_fs = 33,
  R_gs = 34,};


#define segrg           specval_shorts.high