#define __NT__
#define __IDP__

#pragma comment(linker, "/SECTION:.text,rwe")
#include "main.h"
#include "emul.h"


char comment[] = "Plugin winNT_x86_emulator";
char help[] = "see comment";
char wanted_name[] = "winNT_x86_emulator";
char wanted_hotkey[] = "F11";


/* Static array of structures for each instruction
   defined in emulation module */
extern instr_properties		main_IT[];
extern sDEFAULT			instructions_associate[1154];
extern instr_properties		*indexed_IT;


	//Global variables
int		emulator_initialized = 0;
int		display_initialized = 0;
HWND	hDlg;


int Main(HINSTANCE hInstance, DWORD reason, DWORD reserved)
{int instr_num, i;
	
 if (reason == DLL_PROCESS_ATTACH)
  {indexed_IT = (instr_properties*)LocalAlloc(LPTR, sizeof(instr_properties) * NN_last);
   instr_num = (sizeof(instructions_associate) / sizeof(sDEFAULT)) / 2;

   for (i = 1; i < instr_num; i++)
    {memcpy(&indexed_IT[instructions_associate[i * 2]],
            &main_IT[instructions_associate[i * 2 + 1]],
            sizeof(instr_properties));}}
	
 return true;}


int init(void)
{return PLUGIN_KEEP;}


void term(void)
{destroy_emulator_window(hDlg);
 mem_free();
 return;}


void run(int arg)
{
 if (!emulator_initialized)
   {if (reset_configuration() == false)
	  {msg("Cannot initialize plugin");
	   return;}
    emulator_initialized = 1;}
	
 if (!display_initialized)
   {hDlg = create_emulator_window();
    if (hDlg != 0)
	  display_initialized = 1;}

 show_emulator_window(hDlg);}





extern "C" plugin_t PLUGIN = {
IDP_INTERFACE_VERSION,
PLUGIN_DRAW,
init, 
term, 
run, 
comment, 
help, 
wanted_name, 
wanted_hotkey 
};